Ice Cream Sandwich va in pensione: stop agli aggiornamenti a Play Services

07 Dicembre 2018 187

Ice Cream Sandwich non riceverà più gli aggiornamenti a Play Services: ad annunciare il termine del supporto è la stessa Google, che dopo 7 anni manda di fatto in pensione la fortunata versione 4.0 del sistema operativo Android ponendo fine agli aggiornamenti per i livelli delle API 14 e 15 (ICS, appunto).

Gli sviluppatori dovranno d’ora in poi adeguarsi, così come gli utenti (pochi, a dire il vero, pari allo 0,3% del totale, vedi grafico aggiornato ad ottobre) che non potranno più scaricare o aggiornare app nel caso in cui sul loro smartphone sia ancora installata la vecchia versione 4.0.3-4-0.4. D’ora in avanti il livello minimo consentito delle API sarà il 16, equivalente ad Android 4.1 Jelly Bean.


In altri termini, gli sviluppatori dovranno aumentare il valore minSdkVersion nel build.gradle dell’app fino al livello 16: aggiornando l’app in questo modo e pubblicandola sul Play Store, gli utenti di smartphone con livelli inferiori a 16 non riusciranno a vedere e, di conseguenza, a scaricare l’aggiornamento. Potranno comunque sempre utilizzare l’app nella versione più recente rilasciata per quel determinato dispositivo.

“Stiamo terminando il supporto a ICS nelle future versioni di Google Play Services. Per i dispositivi con ICS, il Gppgle Play Store non aggiornerà più l’APK di Play Services oltre la versione 14.7.99”, si legge sul blog dedicato agli sviluppatori.


187

Commenti

Regolamento Commentando dichiaro di aver letto il regolamento e di essere a conoscenza delle informazioni e norme che regolano le discussioni sul sito. Clicca per info.
Caricamento in corso. Per commentare attendere...
Hachiko

La grafica stock fino a KitKat faceva schifo second me...

Fabu

Il Windows Vista dei telefoni Android. Affossava le prestazioni che era una bellezza, ma la grafica non era male.

Dwarven Defender

Il mio S3 lag a parte (relativamente meno di S4) invece tutto ok... l’ho passato a mia moglie ed è andato bene fino al 2015 anno in cui ha iniziato a dare problemi e gli ho preso l’S7 nel 2016 insieme al mio...

SteDS

Con S7 nessun problema in famiglia (S3 aveva fatto una brutta fine invece). Forse il tuo ha qualche problema, non so... altrimenti custom ROM e via, è supportato alla grande su xda

Dwarven Defender

Bye

Dwarven Defender

Purtroppo ho anche S7... ho avuto più notifiche di crash del play service che di messaggi whatsapp XD... hard reset bimestrale d’obbligo

SteDS

S4 nato male, ragion per cui al tempo avevo evitato accuratamente

vince
Dwarven Defender

Il mio S4 neanche da appena unboxato andava come iP5S con iOS 12... laggava anche l’orologio (non è uno scherzo)

SteDS

Ci sono altri dispositivi che vanno anche meglio dal punto di vista della reattività. ovvio non sono stati aggiornati come 5s, gran cosa gli aggiornamenti ma di contro molto male la mancanza di retrocompatibilità. Nella mia "cantinetta" (ogni riferimento è puramente casuale...) ho un Moto Defy (2010), Ascend P6 e 5s (2013), Z3C (2014), P10 (2017). P6 paragonabile a 5s come reattività, però ha custom ROM, il vero fuoriclasse è lo Z3C (software originale) scattante (sul serio!) come il primo giorno, batte tutti, per dire l'anno scorso il 5s non era nemmeno lontanamente paragonabile come prestazioni allo Z3C quest'anno.

Dwarven Defender

Non è un fulmine come un dispositivo come un dispositivo del 2018 ma non ha paragoni con dispositivi di pari età... E poi con iOS 12 va molto meglio sotto tutti i punti di vista rispetto a 10 e 11...

Marco luso

Ah ecco perche! Aosp extended è molto meglio,se hai tempo di metterla ti consiglio questa

Ikaro

Il telefono è un moto e, non proprio una lancia Thema ;) ma comunque anche un HTC dream, un nexus one, un note o un hd2 non hanno proprio lo stesso fascino e usabilità di una buona auto di 30 anni fa, parliamo di elettronica di consumo... Una buona auto degli anni 80 se tenuta bene spacca i cul1 ancora ora...

Mako

cypher os, è un po' che non mi informo su cosa è uscito

utente

Ne parlavano bene perché era il massimo in quel periodo.

utente

Dipende dal tipo di telefono/auto che si possiede. Se vai in un blog di automobili ed hai una Lancia Thema 8.32 di fine anni '80 non è male.
La passione la puoi avere anche usando un oggetto non più moderno.

SteDS

Bhe insomma, anche io ho un 5s, reattivo proprio no, aggiornato si, anche se avrei preferito solo patch di sicurezza dopo il 10 dato che con il passaggio ad iOS 11 ho perso 3 app che avevo pagato

loripod

Decisamente! Li si che c'erano le recensioni pilotate! Come si poteva parlarne bene! E nemmeno te lo regalavano all'epoca 'tacci loro

Aster

Si

Dwarven Defender

No non mi viene da chiedere il perché... e sai perché ? perché tutti i dispositivi del 2013 (ma anche dispositivi più recenti) sono stati abbandonati da anni o mentre questo no ! Dispositivi molto più recenti stanno finendo nel dimenticatoio ricevendo patch di sicurezza se va bene semestralmente, mentre questo no ! Mi può sorgere il dubbio che un dispositivo nato nel 2013 abbinato ad un dispositivo del 2018 appartenente ad una categoria di prodotti nata nel 2014 (ti prego non tirare fuori i protosmartwatch di metà anni 90 e inizio anni 2000) non possa garantire un'adeguata esperienza d'uso ? che possa essere una politica puramente commerciale ? Che non me ne freda una mazza ! un dispositivo perfettamente e mensilmente aggiornato per 5 anni (arriverà almeno a 6) che non funziona con una versione dell'ultimo modello di smartwatch (con l'AW 4 non cellular comunque funziona) sinceramente non mi desta alcun pensiero... ma se per te è meglio l'abbandono totale fai tu... LESS IS MORE !

Hachiko

6 milioni? Ah, ops

Aster

E si se lo dici tu in un blog corro subito a cambiare 6 milioni box

vince

Manca ancora 1 nome di app limitata
Stiamo aspettando tutti.

Mi sa che di limitato è il vostro modo di pensare...

asd555

Poverino.

vince

Non ti viene da chiedere il perché??

vince

Ovviamente man mano che andranno avanti con le versioni e vedranno che il numero di installazioni delle vecchie versioni diminuirà, elimineranno le vecchie versioni.

Ciò non toglie che almeno 7 anni di compatibilità rimarranno ormai.

Sarà da capire quando uscirà il nuovo OS di Google, Fuchsia, cosa succederà

Marco luso

Anche al mio moto E l ultima rom stock era android 5 e nadava uno schifo rispetto a kitkat. Cmq gran bei telefoni i primi moto E e moto G

WOrld1

Dalle mie esperienze tolte le app più famose altre partono da almeno 4.4 o 5.0 come supporto.
E penso in pochi anni le app partiranno come minimo da Lollipop pure che Google supporterà ancora KK

WOrld1

Io uso ancora come muletto un Moto G 2013 (prima gen) con Pie e sicuro va meglio che con l'ultima stock (Lollipop 5.1)

Riccardo Zamprogno

anche xiaomi se è per quello

Hachiko

è ora di cambiarlo

Dwarven Defender

iP5S è compatibile con AW4 (non quello cellular), e allora ? Cambia qualcosa ?

vince

https://uploads.disquscdn.c...

vince

Non ne è ancora stata nominata 1 ...
AHAHAHA

vince
Gar

Un disastro

Riky

Solo perché è android 8.1 non vuol dire che sei a posto, se poi gira tutto peggio di prima senza il supporto dei driver ufficiali.
Come se avere l'ultima distribuzione contasse cosi tanto.

Riky

Con lollipop posso ancora ricevere update dallo store, evviva!

Marco luso

Che rom hai?? Io ho messo aosp extended 5.8+ microG e posso ascoltare musica e navigare insieme tranquillamente senza problemi

Aster

Scusa ma il mondo Android non è solo quello che conosci tu.Io che devo fare buttare la mia pay tv con box Android 4.4?!:)

Hachiko

Come no?! Speriamo di si... Lollipop invece ha senso ancora

Horatio

Lol, ICS, esiste ancora? xD

Dwarven Defender

Ci sono decine di video che mostrano quanto sia reattivo iP5S e recensioni recenti (2017/2018) che lo valutano come dispositivo economico con un ottimo rapporto qualità prezzo proprio grazie alla reattività e alla piacevolezza di utilizzo...
Molte funzionalità che su iOS si trovano solo su dispositivi più recenti sono legate a implementazioni hw e variano anche in base alla dimensione dello schermo del modello in questione...
AW4 è pienamente compatibile con tutti i dispositivi che hanno ricevuto iOS11 (vedi da iP5S del 2013 in poi)
Il mio galaxy s7 (del 2016) ha ricevuto l’ultimo aggiornamento delle patch di sicurezza il 1 novembre (la precedente era del 1 luglio) il mio iP5S (del 2013) invece le ha ricevute un giorno fa e sono più di 5 anni che mensilmente riceve la release più recente del software e delle patch di sicurezza e può gestire TUTTE le app più recenti TUTTE con le ultime patch (se è per quello basta un iP4S del 2011)... stessa cosa proprio eh... per parafrasarti: EVITIAMO DI SCRIVERE COSE ASSOLUTAMENTE NON VERE...

Galaxyno

Per Nokia togli pure il forse ;)

SteDS

Io programmo per Android da quando è nato praticamente. Non è esatto quello che hai scritto sopra:
"Perché perdere X mesi di lavoro per implementare una cosa che c'é già nelle più recenti sdk"
Nella maggior parte dei casi non devi fare proprio niente se non utilizzare le Support Library al posto di quelle standard nel tuo progetto, sono fatte apposta per quello, portare le API recenti sui vecchi dispositivi (o meglio sulle vecchie versioni di Android che le nuove API nativamente non supportano). Le SL sono parte dell'SDK quindi niente di strano o di terze parti, è uno strumento come un altro che hai a disposizione.

untore

La strada è ancora molto lunga se si guarda il grafico la maggior parte sono fermi a 3 versioni fa del s.o., altro che concorrenza ad apple.

Ikaro

E chi lo ha detto?

PecoreOvunque

hanno paura che gli ruBBano le foto osè

PecoreOvunque

e di che hai paura? che ti prendano le foto e le storie instagram fatte ai piatti prima di mangiarteli? se poi tieni app di banking con password memorizzate su un cellulare significa che sei poco furbo :)

Body123

Passione non si traduce in soldi

Recensione Oppo RX17 Pro: ricarica lampo e super foto notturne

Honor Magic 2 (3.500mAh): live concluso alle 00:02

Recensione Meizu 16th: una piacevole sorpresa

Google Pixel 3: live batteria (2915 mAh) | Fine 18.55